#include "ListOperations.h"

int countElements(const List* list) {
    int count = 0;
    Node* current = list->head;
    while (current != nullptr) {
        count++;
        current = current->next;
    }
    return count;
}

bool findValue(const List* list, int value) {
    Node* current = list->head;
    while (current != nullptr) {
        if (current->data == value) {
            return true;
        }
        current = current->next;
    }
    return false;
}


// Funkcja czyszcząca listę
void clearList(List* list) {
    Node* current = list->head;
    while (current != nullptr) {
        Node* next = current->next;
        delete current;
        current = next;
    }
    list->head = nullptr;
}

// Funkcja wyświetlająca element na danym indeksie
int getElementAt(const List* list, int index) {
    Node* current = list->head;
    int currentIndex = 0;

    while (current != nullptr) {
        if (currentIndex == index) {
            return current->data;
        }
        currentIndex++;
        current = current->next;
    }
    // Jeśli indeks wykracza poza zakres, zwracamy np. -1 jako wartość błędu
    return -1;
}